from time import strftime
Импорт цвета #Модуль
import pickle
import os

 #   
def save(fname):
         Now_time = strftime ('%y-%m-%d') # n
    with open(fname, 'rb') as fobj:
        records = pickle.load(fobj)
         Old_barance = int
    try:
                 Money = int (input ('доход (yuan):'))
                 Содержание = вход ('Увеличение Описание:')
    except ValueError as e:
                 Print ('\ 033 [31M ввод ошибка: \ 033 [0m', e)
    else:
                 All_balance = old_balance + деньги #total Balance после дохода
                 new_bill = [now_time, money, 0, all_balance, content] #new will
        records.append(new_bill)
        with open(fname,'wb') as fobj:
            pickle.dump(records, fobj)
#        save_bill(records)
#        print(bill)
                 Color.cecho (34, «успешная операция»)

 #   
def cost(fname):
         Now_time = strftime ('%y-%m-%d') # n
    with open(fname, 'rb') as fobj:
        records = pickle.load(fobj)
         Old_barance = int
    try:
                 Money = int (input ('расходы (yuan):'))
                 Content = input ('Описание расходов:')
    except ValueError as e:
                 Print ('\ 033 [31M ввод ошибка: \ 033 [0m', e)
    else:
                 All_balance = old_balance -money # Общий баланс после дохода
                 new_bill = [now_time, 0, mol, all_balance, content] # новый счет
        records.append(new_bill)
        with open(fname, 'wb') as fobj:
            pickle.dump(records, fobj)
        #        save_bill(records)
        #        print(bill)
                 Color.cecho (34, «успешная операция»)

 #   
def query(fname):
         #Print the Header
    print('%-12s%-8s%-8s%-12s%-15s' % ('date', 'save', 'cost', 'balance', 'comment'))
    with open(fname, 'rb') as fobj:
        records = pickle.load(fobj)
        for i in records:
            print('%-12s%-8s%-8s%-12s%-15s'  % tuple(i))

 #Функциональная программа
def show_menu():
    cmds = {'0':save, '1':cost, '2':query}
         Rasfor = '' (0) доход
 (1) расходы
 (2) Просмотреть
 (3) Выход
 Введите (0/1/2/3): '' '
         # Счет инициализации
    bill = [['2019-07-07', 0, 0, 10000, 'init']]
         Fname = '/tmp/record.data' # file Billing File
    if not os.path.exists(fname):
        with open(fname, 'wb') as f:
            pickle.dump(bill, f)

    while True:
        choice = input(prompt).strip()
        if choice not in '0123':
                         Print ('ошибка ошибка ввода, попробуйте попробовать)
            continue
        if choice == '3':
                         Color.cecho (36, «Жизнь не приносит, если вы не принесете его, вы должны потратить его.)
            break
        cmds[choice](fname)
        print('-' * 40)

 ##################################################### Эта основная программа ########### ## #############################
if __name__ == '__main__':
    try:
        show_menu()
    except (ValueError, KeyboardInterrupt, EOFError,FileNotFoundError) as e:
                 Print ('\ 033 [31m ввод - ошибка: \ 033 [0m', e)
